From b3df00dcf7332ae9b64f019278af8708c1ced284 Mon Sep 17 00:00:00 2001
From: Andreas Sturmlechner <asturm@gentoo.org>
Date: Wed, 16 Jan 2019 21:10:09 +0100
Subject: [PATCH] Fix build with poppler-0.73

---
 texk/web2c/luatexdir/image/pdftoepdf.w | 2 +-
 texk/web2c/luatexdir/lua/lepdflib.cc   | 8 ++++----
 texk/web2c/pdftexdir/pdftosrc.cc       | 2 +-
 3 files changed, 6 insertions(+), 6 deletions(-)

diff --git a/texk/web2c/luatexdir/image/pdftoepdf.w b/texk/web2c/luatexdir/image/pdftoepdf.w
index 2f143068..10ed9879 100644
--- a/texk/web2c/luatexdir/image/pdftoepdf.w
+++ b/texk/web2c/luatexdir/image/pdftoepdf.w
@@ -29,7 +29,7 @@
     the functions of poppler, which happens to be written in C++.
 */
 
-extern void md5(Guchar *msg, int msgLen, Guchar *digest);
+extern void md5(unsigned char *msg, int msgLen, unsigned char *digest);
 
 static bool isInit = false;
 
diff --git a/texk/web2c/luatexdir/lua/lepdflib.cc b/texk/web2c/luatexdir/lua/lepdflib.cc
index 6b24a39b..87078fc5 100644
--- a/texk/web2c/luatexdir/lua/lepdflib.cc
+++ b/texk/web2c/luatexdir/lua/lepdflib.cc
@@ -2867,12 +2867,12 @@ m_poppler_get_GUINT(Attribute,getRevision);
 
 static int m_Attribute_setRevision(lua_State * L)
 {
-    Guint i;
+    unsigned int i;
     udstruct *uin;
     uin = (udstruct *) luaL_checkudata(L, 1, M_Attribute);
     if (uin->pd != NULL && uin->pd->pc != uin->pc)
         pdfdoc_changed_error(L);
-    i = (Guint) luaL_checkint(L, 2);
+    i = (unsigned int) luaL_checkint(L, 2);
     ((Attribute *) uin->d)->setRevision(i);
     return 0;
 }
@@ -3057,12 +3057,12 @@ static int m_StructElement_getTypeName(lua_State * L)
 
 static int m_StructElement_setRevision(lua_State * L)
 {
-    Guint i;
+    unsigned int i;
     udstruct *uin;
     uin = (udstruct *) luaL_checkudata(L, 1, M_StructElement);
     if (uin->pd != NULL && uin->pd->pc != uin->pc)
         pdfdoc_changed_error(L);
-    i = (Guint) luaL_checkint(L, 2);
+    i = (unsigned int) luaL_checkint(L, 2);
     ((StructElement *) uin->d)->setRevision(i);
     return 0;
 }
diff --git a/texk/web2c/pdftexdir/pdftosrc.cc b/texk/web2c/pdftexdir/pdftosrc.cc
index bad1b78f..295c4e66 100644
--- a/texk/web2c/pdftexdir/pdftosrc.cc
+++ b/texk/web2c/pdftexdir/pdftosrc.cc
@@ -156,7 +156,7 @@ int main(int argc, char *argv[])
                 Object objStr, obj1, obj2;
                 int nObjects, first, n;
                 int localOffset = 0;
-                Guint firstOffset;
+                unsigned int firstOffset;
 
                 objStr = xref->fetch(e->offset, 0);
                 assert(objStr.isStream());
-- 
2.20.1

